package net.bigeon.gclc.command;

import static org.junit.Assert.*;

import org.junit.Test;

import net.bigeon.gclc.exception.InvalidParameterException;

public class ParametrizedCommandDataTest {

    @Test
    public void testAddParameter() throws InvalidParameterException {
        ParametrizedCommandData data = new ParametrizedCommandData();
        data.addBooleanParameter("flag");
        data.addStringParameter("arg", false);
        try {
            data.addBooleanParameter("arg");
            fail("String parameter cannot be converted to flag");
        } catch (InvalidParameterException e) {
            // ok
        }
        try {
            data.addStringParameter("flag", false);
            fail("Flag parameter cannot be converted to string");
        } catch (InvalidParameterException e) {
            // ok
        }
    }
}
